{{% extends "accounts_base.html" %}
{% load bootstrap5 %}

{% block content %}

    {% if form.errors %}
            <p>Your username and password didn't match. Please try again.</p>
        {% endif %}

        {% if next %}
            {% if user.is_authenticated %}
              <p>Your account doesn't have access to this page. To proceed,
              please log in with an account that has access.</p>
        {% else %}
              <p>Please login to see this page.</p>
        {% endif %}
    {% endif %}

    <form method="post" action="{% url 'login' %}">
        {% csrf_token %}
        {% bootstrap_form form %}
        <button class="boxed-btn3 w-100 mt-2" value="login" type="submit">Sign In</button>
        <input type="hidden" name="next" value="{{ next }}">
    </form>

  {# Assumes you setup the password_reset view in your URLconf #}
  <p><a class="btn w-100 btn-light" href="{% url 'password_reset' %}">Lost password?</a></p>

{% endblock %}
